REM Transfer script for LK8000 provided by ybucq
REM You may need to update the first part of the script to adapt it to your own device.
REM FYI: using 'Cx File explorer' from Google Store that has a nice ftp server mode.

@echo off
set HOST_IP=192.168.1.25
set HOST_PORT=8309
set LK8000_DEVICE_PATH=device/LK8000
set LK8000_WINDOWS_PATH=e:\Games\CondorTools\LK8000
set LK8000_PROFILE=condor.prf
set LK8000_AIRCRAFT=condor.acf
set LK8000_TASK=condor.lkt

pushd .
cd /d %LK8000_WINDOWS_PATH%

echo open %HOST_IP% %HOST_PORT% >> ftp_script.txt
echo anonymous >> ftp_script.txt
echo cd %LK8000_DEVICE_PATH% >> ftp_script.txt

echo cd _Configuration >> ftp_script.txt
echo lcd _Configuration >> ftp_script.txt
echo put %LK8000_PROFILE% >> ftp_script.txt
echo put %LK8000_AIRCRAFT% >> ftp_script.txt

echo cd ..\_Tasks >> ftp_script.txt
echo lcd ..\_Tasks >> ftp_script.txt
echo put %LK8000_TASK% >> ftp_script.txt

echo quit >> ftp_script.txt

ftp -s:ftp_script.txt

del ftp_script.txt

popd